{
  template: '${tmpl}',
  data: function () {
    return {
      cs: [],
      search: {
        ecompanyName: "",
        pageSize: 100,
        currentPage: 1,
      },

      datalist: [],
    }
  },
  mounted: function () {
    this.getList();
  },
  created: function () {

  },
  methods: {
    getList() {
      var self = this;
      this.$root.postReq("/web/esettleCtl/balanceList", {
        search: this.search
      }).then(function (d) {
        if (d.status == 0) {
          self.datalist = d.data.rows;
          console.log(self.datalist, "------self.datalist----------------");
        }
      });
    },
    /*
    getLoginUser : function (){
      var self =this;
      this.$root.postReq("/web/userCtl/loginUser",{}).then(function(d){
        if(d.status==0){
          self.loginUser = d.data;
        }
      });
    }
    */
  },
  vname: "gsb-bpoonlinebalance"
}